@import url(normalize.css);

body {
  background-color: #fff;
  font: normal 16px 'Source Sans Pro', sans-serif, Arial;
}

h1,
h2,
h3,
h4,
h5,
h6,
button {
  font-family: 'Oswald', sans-serif;
}

main {
  background-color: #f9f9f9;
}

#app-container {
  max-width: 1200px;
  margin: 0 auto;
  position: relative;
}

.app-section {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  background-color: #EEEEEE;
}

.app-logo {
  width: 64px;
  height: 64px;
  object-fit: contain;
}

.app-logo--small {
  width: 20px;
  height: 20px;
  margin-right: 8px;
}

.app-title {
  font-size: 3.25rem;
  line-height: 3.5rem;
  text-align: center;
}

.app-subtitle {
  font-size: 1.50rem;
  line-height: 1.625rem;
  font-weight: 300;
  text-align: center;
  font-family: 'Source Sans Pro', sans-serif, Arial;
}

.app-section__button {
  background-color: #55C2D8;
  border: none;
  color: white;
  cursor: pointer;
  outline: none;
}

.app-header {
  background-color: transparent;
  margin-left: auto;
  margin-right: auto;
  min-height: 64px;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  z-index: 1;
  display: grid;
  grid-template-columns: .5fr 1fr .5fr;
  padding: 0 140px;
}

.app-header__logo {
  color: white;
  justify-self: flex-start;
  align-self: flex-end;
  font-size: initial;
  letter-spacing: 2.4px;
  text-transform: uppercase;
  text-decoration: none;
}

.app-header__nav {
  display: inline-block;
}

.app-header__nav-list {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-column-gap: 32px;
  justify-items: center;
  padding: 0;
  margin: 55px 0 0 0;
  list-style: none;
}

.app-header__nav-list-item {
  text-transform: uppercase;
  font-size: 12px;
  letter-spacing: 2.4px;
}

.app-header__nav-list-item a:hover {
  text-decoration: underline;
}

.app-header__nav-list-item a {
  color: white;
  text-decoration: none;
}

.app-header__nav-menu-button {
  display: none;
  background-color: transparent;
  border: 1px solid transparent;
  border-radius: 3px;
  box-sizing: content-box;
  color: white;
  cursor: pointer;
  font-size: 0;
  transition: all 0.25s ease-out;
  outline: none;
  padding: 6px;
  position: relative;
  user-select: none;
}

.app-header__nav-menu-button-icon {
  width: 28px;
  height: 18px;
  position: relative;
  display: inline-block;
  font-size: 0;
}

.app-header__nav-menu-button-icon span {
  background-color: white;
  position: absolute;
  border-radius: 2px;
  transition: transform .5s ease-in-out;
  width: 100%;
  height: 2px;
  left: 0;
  transform: rotate(0);
}

.app-header__nav-menu-button-icon span:nth-child(1) {
  top: 0;
}

.app-header__nav-menu-button-icon span:nth-child(2) {
  top: 8px;
  visibility: visible;
}

.app-header__nav-menu-button-icon span:nth-child(3) {
  bottom: 0;
}

.app-section--image-peak {
  background: linear-gradient(to top, rgba(65, 65, 65, .5), rgba(65, 65, 65, .5)), url(../assets/images/your-image-here.jpg) no-repeat center/cover;
  height: 800px;
  max-width: 100%;
  color: white;
}

.app-section__article {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-column-gap: 90px;
  margin: 0 140px;
}

.app-section__button--read-more {
  border-radius: 26px;
  font-size: 14px;
  height: 46px;
  letter-spacing: 1.2px;
  margin: 60px auto 108px;
  text-transform: uppercase;
  width: 135px;
}

.app-section--image-culture {
  background: linear-gradient(to top, rgba(65, 65, 65, .7), rgba(65, 65, 65, .7)), url(../assets/images/your-image.jpg) no-repeat center/cover;
  height: 698px;
  max-width: 100%;
  color: white;
}

.app-section__button--our-culture {
  width: 150px;
  height: 150px;
  border-radius: 50%;
  margin: 64px auto;
  padding: 0;
  font-size: 4rem;
}

.app-join-programme {
  background: linear-gradient(to top, rgba(65, 65, 65, .7), rgba(65, 65, 65, .7)), url(../assets/images/join_our_program.png) no-repeat center/cover;
  height: 536px;
  max-width: 100%;
  color: white;
}

.app-section__button--submit {
  border-radius: 26px;
  font-size: 14px;
  height: 34px;
  letter-spacing: 1.2px;
  margin: 0px auto;
  text-transform: uppercase;
  min-width: 111px;
  padding: 0px 20px;
  width: fit-content;
}


.app-footer {
  background-color: #3b3d40;
  color: white;
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  grid-template-rows: repeat(2, 1fr);
  gap: 0 0;
  grid-template-areas: "logo logo address address . . ." ". . email email rights rights rights";
  align-items: flex-start;
  padding: 42px 140px 0;
  min-height: 148px;
}

.app-footer__logo {
  grid-area: logo;
  display: flex;
  align-items: center;
  text-transform: uppercase;
}

.app-footer__address {
  grid-area: address;
  color: rgba(255, 255, 255, 0.3);
}

.app-footer__email {
  grid-area: email;
  color: rgba(255, 255, 255, 0.3);
  text-decoration: none;
}

.app-footer__rights {
  grid-area: rights;
  justify-self: flex-end;
  color: rgba(255, 255, 255, 0.3);
  letter-spacing: 0.75px;
  margin: 0;
}

::placeholder {
  color: white;
  opacity: .5; 
}

.community_card {
  border-radius: 10px;
  background: #ffffff;
  flex: 1 1 100;
  max-width: 315px;
  height: 400px;
  cursor: pointer;
  
}

.community_sectionContainer {
  max-width: 984px;
  min-height: 700px;
  margin: 0px auto;
}

.community_flexContainer {
  margin-bottom: 80px;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  flex-wrap: wrap;
  gap: 10px 10px;
  align-items: center;
}

.newItemIcon {
  margin-top: 50px;;
}

.newItem_text {
  font-family: 'Source Sans Pro';
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 20px;
  /* or 125% */
  text-align: center;
  color: #666666;
}

.newItem_name {
font-family: 'Source Sans Pro';
font-style: normal;
font-weight: 700;
font-size: 12px;
line-height: 18px;
/* or 146% */
text-align: center;
letter-spacing: 0.1em;
text-transform: uppercase;
color: #464547;
margin-top: 20px;
}

.newItem_position {
font-family: 'Source Sans Pro';
font-style: normal;
font-weight: 400;
font-size: 12px;
line-height: 16px;
/* or 133% */
text-align: center;
color: #666666;
margin-top: 20px;
}

.join_us_flexContainer {
display: flex;
flex-direction: column;
height: 100%;
margin: 100px 0;
}

.join_us_input_form{
  display: flex;
  flex-direction: row;
  gap: 20px;
}

.join_us_input {
color: white;
width: 400px;
height: 36px;
background: rgba(255, 255, 255, 0.15);
border: 0;
margin-left: 0px;
margin-right: 0px;
}
/* ===================================================== */

@media only screen and (max-width: 768px) {
  .app-header {
    grid-template-columns: 1fr 1fr;
    padding: 0 32px;
  }
  .app-header__nav-menu-button {
    display: inline-block;
    justify-self: flex-end;
    align-self: flex-end;
  }
  .app-header__nav {
    display: none;
  }
  .app-section--image-peak {
    height: 648px;
  }
  .app-section--image-culture {
    height: 698px;
  }
  .app-section__button--our-culture {
    width: 70px;
    height: 70px;
    margin: 32px auto;
    font-size: 2rem;
  }
  .app-section__article {
    grid-template-columns: 1fr;
    gap: 0 0;
    margin: 0 16px;
  }
  .app-section__button--read-more {
    margin: 24px auto 48px;
  }
  .app-footer {
    grid-template-columns: 1fr;
    grid-template-rows: repeat(9, 1fr);
    grid-template-areas: "." "logo" "." "address" "address" "email" "." "." "rights";
    align-content: center;
    justify-content: center;
    padding: 0 32px 0;
  }
  .app-footer__rights {
    justify-self: flex-start;
  }
  .community_flexContainer {
    flex-direction: column;
  }

  .flexContainer {
    flex-direction: row;
   }

 .join_us_input_form{
    flex-direction: column;
  }

  .join_us_input {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
  }

}
